
#include <Muses72323.h>

// set up pins in the Muses72323.cpp file!
static Muses72323 Muses(0); // address of muses chip, usually 0

void setup() {
  delay(1000);
  Muses.begin();
  Muses.setExternalClock(false); // must be set!
  Muses.setZeroCrossingOn(true);
  Muses.mute();
  delay(1000);
  setAttenuation(0, 0);          // 0 to -111.75 in dB
  delay(1000);
  Muses.setVolume(-447, -447);   // 0 to -447
  delay(1000);
  setAttenuation(-8.25, -8.25);
}

void setAttenuation(float dB_left, float dB_right) {
  Muses.setVolume((int16_t)(dB_left / 0.25f), (int16_t)(dB_right / 0.25f));
}

void loop() {}
